package com.jpsoft.picc.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;

/**
  描述:base_template_message的实体类
 */
@ApiModel(value = "base_template_message的实体类")
public class TemplateMessage {
    @ApiModelProperty(value = "主键")
	private String id;
    @ApiModelProperty(value = "微信模板代码")
	private String code;
    @ApiModelProperty(value = "标题")
	private String title;
    @ApiModelProperty(value = "内容")
	private String content;

	/**
	 *获取主键
	 */
    	public String getId(){
		return id;
	}
	
	/**
	 *设置主键
	 */
	public void setId(String id){
		this.id = id;
	}
	/**
	 *获取微信模板代码
	 */
    	public String getCode(){
		return code;
	}
	
	/**
	 *设置微信模板代码
	 */
	public void setCode(String code){
		this.code = code;
	}
	/**
	 *获取标题
	 */
    	public String getTitle(){
		return title;
	}
	
	/**
	 *设置标题
	 */
	public void setTitle(String title){
		this.title = title;
	}
	/**
	 *获取内容
	 */
	public String getContent(){
		return content;
	}
	
	/**
	 *设置内容
	 */
	public void setContent(String content){
		this.content = content;
	}
}